<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package Catch Themes
 * @subpackage Catch Everest
 * @since Catch Everest 1.0
 */
?>

<?php
/**
 * catcheverest_above_secondary hook
 */
do_action( 'catcheverest_before_secondary' );

$catcheverest_layout = catcheverest_get_theme_layout();

if ( !is_active_sidebar( 'catcheverest_woocommerce_sidebar' ) && ( class_exists( 'Woocommerce' ) && is_woocommerce() ) ) {
	$catcheverest_layout = 'no-sidebar';
}

if ( 'left-sidebar' == $catcheverest_layout || 'right-sidebar' == $catcheverest_layout ) {
	//Getting Ready to load data from Theme Options Panel
	global $post, $wp_query;

	// Front page displays in Reading Settings
	$page_on_front = get_option('page_on_front') ;
	$page_for_posts = get_option('page_for_posts');

	// Get Page ID outside Loop
	$page_id = $wp_query->get_queried_object_id();

	// Blog Page setting in Reading Settings
	if ( $page_id == $page_for_posts ) {
		$sidebaroptions = get_post_meta( $page_for_posts, 'catcheverest-sidebar-options', true );
	}
	// Front Page setting in Reading Settings
	elseif ( $page_id == $page_on_front ) {
		$sidebaroptions = get_post_meta( $page_on_front, 'catcheverest-sidebar-options', true );
	}
	// Settings for page/post/attachment
	elseif ( is_singular() ) {
		if ( is_attachment() ) {
			$parent = $post->post_parent;
			$sidebaroptions = get_post_meta( $parent, 'catcheverest-sidebar-options', true );
		} else {
			$sidebaroptions = get_post_meta( $post->ID, 'catcheverest-sidebar-options', true );
		}
	}
	else {
		$sidebaroptions = '';
	}
	?>
	<div id="secondary" class="widget-area" role="complementary">
		<?php
		/**
		 * catcheverest_before_widget_start hook
		 */
		do_action( 'catcheverest_before_widget_start' );

		if ( is_active_sidebar( 'catcheverest_woocommerce_sidebar' ) && ( class_exists( 'Woocommerce' ) && is_woocommerce() ) ) {
			dynamic_sidebar( 'catcheverest_woocommerce_sidebar' );
		}
		elseif ( is_active_sidebar( 'sidebar-optional-one' ) && 'optional-sidebar-one' == $sidebaroptions ) {
        	dynamic_sidebar( 'sidebar-optional-one' );
   		}
		elseif ( is_active_sidebar( 'sidebar-optional-two' ) && 'optional-sidebar-two' == $sidebaroptions ) {
        	dynamic_sidebar( 'sidebar-optional-two' );
   		}
		elseif ( is_active_sidebar( 'sidebar-optional-three' ) && 'optional-sidebar-three' == $sidebaroptions ) {
        	dynamic_sidebar( 'sidebar-optional-three' );
   		}
		elseif ( is_active_sidebar( 'sidebar-optional-homepage' ) && ( is_front_page() || ( is_home() && $page_id != $page_for_posts ) ) ) {
        	dynamic_sidebar( 'sidebar-optional-homepage' );
   		}
		elseif ( is_active_sidebar( 'sidebar-optional-archive' ) && ( is_archive() || ( is_home() && $page_id != $page_for_posts ) || is_page_template( 'page-blog.php' ) ) ) {
        	dynamic_sidebar( 'sidebar-optional-archive' );
    	}
		elseif ( is_page() && is_active_sidebar( 'sidebar-optional-page' ) ) {
			dynamic_sidebar( 'sidebar-optional-page' );
		}
		elseif ( is_single() && is_active_sidebar( 'sidebar-optional-post' ) ) {
			dynamic_sidebar( 'sidebar-optional-post' );
		}
		elseif ( is_active_sidebar( 'sidebar-1' ) ) {
        	dynamic_sidebar( 'sidebar-1' );
   		}
		else { ?>
			<aside id="search" class="widget widget_search">
				<?php get_search_form(); ?>
			</aside>

			<aside id="archives" class="widget">
				<h3 class="widget-title"><?php _e( 'Archives', 'catch-everest-pro' ); ?></h3>
				<ul>
					<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
				</ul>
			</aside>

		<?php
		} // end sidebar widget area ?>

		<?php
		/**
		 * catcheverest_after_widget_ends hook
		 */
		do_action( 'catcheverest_after_widget_ends' ); ?>
	</div><!-- #secondary .widget-area -->

	<?php
}

/**
 * catcheverest_after_secondary hook
 */
do_action( 'catcheverest_after_secondary' );